<?php
namespace Modules\Invoices\BalancesList;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	/**
	 * Results per page list
	 */
	protected $resultsPerPageList = [10, 15, 20, 25, 30, 40, 50, 100];

	/**
	 * (non-PHPdoc)
	 * @see \App\Mvc\View_Window_PaginatedListing_ListAbstract::list_getThDetails()
	 */
	protected function list_getThDetails()
	{

		return ListingColumns::create()
			->append(
				ListingColumn::create('balanceNumber')
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('generation')
			)
			->append(
				ListingColumn::create('balanceName')
			)
			->append(
				ListingColumn::create('balanceType')
			)
			->append(
				ListingColumn::create('idUser')
					->setType('userLabel')
			)
			->append(
				ListingColumn::create('confirmTime')
					->setType('datetime')
					->setSortable('ASC')
			)
			->append(
				ListingColumn::create('addTime')
					->setType('datetime')
					->setSortable('ASC')
			)


		->loadLabels($this->lang['index']['listCols'])
		->loadSettings($this->input['listingParams']->getDynamicColumnsSettings());
	}
}